Bug 861996 - abrt-retrace-client: checks for corrupted dump dir are inconsistent
abrt-retrace-client: checks for corrupted dump dir are inconsistent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Toman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 10:36 EDT by David Kutálek
Modified: 2015-03-22 20:41 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:16:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kutálek 2012-10-01 10:36:49 EDT
Description of problem:

abrt-retrace-client already refuses problem directory with link to file like /var/log/audit/audit/log, but link to /dev/random is not refused and process is eating memory to send it.

# ln -s /var/log/audit/audit.log ./coredump
# abrt-retrace-client batch -d ./
Your problem directory is corrupted and can not be processed by the Retrace server.
The archive contains malicious files (such as symlinks) and thus can not be processed.
# rm ./coredump 
rm: remove symbolic link ‘./coredump’? y
# ln -s /dev/random ./coredump
# abrt-retrace-client batch -d ./
^C


Version-Release number of selected component (if applicable):

abrt-retrace-client-2.0.13-1.fc18.x86_64

How reproducible:

Always

Steps to Reproduce:
1. see commands above
2.
3.
  
Actual results:

OOM

Expected results:

Same as with link to regular file - refusal

Additional info:
Comment 1 Michal Toman 2012-10-08 10:11:25 EDT
Fixed in git

commit bdc72b45aa943bd7284f0684f5573bc628e7c174
Author: Michal Toman <mtoman@redhat.com>
Date:   Mon Oct 8 14:12:19 2012 +0200

    retrace-client: check whether all included files are regular
Comment 2 Fedora Update System 2012-12-20 03:55:07 EST
abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
Comment 3 Fedora Update System 2012-12-20 04:45:30 EST
abrt-2.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc17
Comment 4 Fedora Update System 2012-12-20 20:29:37 EST
Package abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.20-1.fc18 btparser-0.24-1.fc18 libreport-2.0.20-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20725/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-01-11 20:16:12 EST
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-02-25 21:38:16 EST
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.